package com.ruoyi.tcZz.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 数据来源 tc_sjly（可推送）对象 tc_sjly
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public class TcSjly extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 区域id */
    @Excel(name = "区域id")
    private String areaId;

    /** 类型 */
    @Excel(name = "类型")
    private Long type;

    /** 启用/禁用 */
    @Excel(name = "启用/禁用")
    private Long isStatus;

    /** 资产名称 */
    @Excel(name = "资产名称")
    private String zcName;

    /** 所属单位 */
    @Excel(name = "所属单位")
    private String affUnit;

    /** IP地址 */
    @Excel(name = "IP地址")
    private String sysyemIp;

    /** 操作系统 */
    @Excel(name = "操作系统")
    private String os;

    /** 版本 */
    @Excel(name = "版本")
    private String versions;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAreaId(String areaId) 
    {
        this.areaId = areaId;
    }

    public String getAreaId() 
    {
        return areaId;
    }
    public void setType(Long type) 
    {
        this.type = type;
    }

    public Long getType() 
    {
        return type;
    }
    public void setIsStatus(Long isStatus) 
    {
        this.isStatus = isStatus;
    }

    public Long getIsStatus() 
    {
        return isStatus;
    }
    public void setZcName(String zcName) 
    {
        this.zcName = zcName;
    }

    public String getZcName() 
    {
        return zcName;
    }
    public void setAffUnit(String affUnit) 
    {
        this.affUnit = affUnit;
    }

    public String getAffUnit() 
    {
        return affUnit;
    }
    public void setSysyemIp(String sysyemIp) 
    {
        this.sysyemIp = sysyemIp;
    }

    public String getSysyemIp() 
    {
        return sysyemIp;
    }
    public void setOs(String os) 
    {
        this.os = os;
    }

    public String getOs() 
    {
        return os;
    }
    public void setVersions(String versions) 
    {
        this.versions = versions;
    }

    public String getVersions() 
    {
        return versions;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("areaId", getAreaId())
            .append("type", getType())
            .append("isStatus", getIsStatus())
            .append("zcName", getZcName())
            .append("affUnit", getAffUnit())
            .append("sysyemIp", getSysyemIp())
            .append("os", getOs())
            .append("versions", getVersions())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
