package com.ruoyi.tcZz.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 网络监测对象 tc_wljg
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public class TcWljg extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 区域id */
    @Excel(name = "区域id")
    private String areaId;

    /** 1.启用 2.禁用 */
    @Excel(name = "1.启用 2.禁用")
    private Long isStatus;

    /** 攻击发起时间 */
    private Date startTime;

    /** 攻击源IP */
    @Excel(name = "攻击源IP")
    private String attackyIp;

    /** 攻击类型 */
    @Excel(name = "攻击类型")
    private String attackType;

    /** 攻击源IP区域 */
    private String attackIpArea;

    /** 受攻击目标类型 */
    private String type;

    /** 受攻击IP */
    @Excel(name = "受攻击IP")
    private String sAttackIp;

    /** 受攻击IP区域 */
    private String sAttackIpArea;

    /** 网站安全等级 */
    @Excel(name = "网站安全等级")
    private String netLevel;

    /** 所属单位 */
    private String affUnit;

    /** 联系电话 */
    private String linkTel;

    /** 联系人 */
    @Excel(name = "联系人")
    private String linkMan;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAreaId(String areaId) 
    {
        this.areaId = areaId;
    }

    public String getAreaId() 
    {
        return areaId;
    }
    public void setIsStatus(Long isStatus) 
    {
        this.isStatus = isStatus;
    }

    public Long getIsStatus() 
    {
        return isStatus;
    }
    public void setStartTime(Date startTime) 
    {
        this.startTime = startTime;
    }

    public Date getStartTime() 
    {
        return startTime;
    }
    public void setAttackyIp(String attackyIp) 
    {
        this.attackyIp = attackyIp;
    }

    public String getAttackyIp() 
    {
        return attackyIp;
    }
    public void setAttackType(String attackType) 
    {
        this.attackType = attackType;
    }

    public String getAttackType() 
    {
        return attackType;
    }
    public void setAttackIpArea(String attackIpArea) 
    {
        this.attackIpArea = attackIpArea;
    }

    public String getAttackIpArea() 
    {
        return attackIpArea;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setsAttackIp(String sAttackIp) 
    {
        this.sAttackIp = sAttackIp;
    }

    public String getsAttackIp() 
    {
        return sAttackIp;
    }
    public void setsAttackIpArea(String sAttackIpArea) 
    {
        this.sAttackIpArea = sAttackIpArea;
    }

    public String getsAttackIpArea() 
    {
        return sAttackIpArea;
    }
    public void setNetLevel(String netLevel) 
    {
        this.netLevel = netLevel;
    }

    public String getNetLevel() 
    {
        return netLevel;
    }
    public void setAffUnit(String affUnit) 
    {
        this.affUnit = affUnit;
    }

    public String getAffUnit() 
    {
        return affUnit;
    }
    public void setLinkTel(String linkTel) 
    {
        this.linkTel = linkTel;
    }

    public String getLinkTel() 
    {
        return linkTel;
    }
    public void setLinkMan(String linkMan) 
    {
        this.linkMan = linkMan;
    }

    public String getLinkMan() 
    {
        return linkMan;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("areaId", getAreaId())
            .append("isStatus", getIsStatus())
            .append("startTime", getStartTime())
            .append("attackyIp", getAttackyIp())
            .append("attackType", getAttackType())
            .append("attackIpArea", getAttackIpArea())
            .append("type", getType())
            .append("sAttackIp", getsAttackIp())
            .append("sAttackIpArea", getsAttackIpArea())
            .append("netLevel", getNetLevel())
            .append("affUnit", getAffUnit())
            .append("linkTel", getLinkTel())
            .append("linkMan", getLinkMan())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
